Update issue

Updating this plugin doesn't remove the message that it is 1.1.3.

So either the old version has been uploaded in error or the multi-domains.pot file has not been updated it seems